# std::_Bit_const_iterator Struct Reference

Inheritance diagram for std::_Bit_const_iterator:

List of all members.

## Detailed Description

Definition at line 270 of file stl_bvector.h.

## Public Types

- typedef _Bit_const_iterator const_iterator
- typedef bool const_reference
- typedef ptrdiff_t difference_type
- typedef std::random_access_iterator_tag iterator_category
- typedef const bool * pointer
- typedef bool reference
- typedef bool value_type

## Public Member Functions

- _Bit_const_iterator (const _Bit_iterator &__x)
- _Bit_const_iterator (_Bit_type *__x, unsigned int __y)
- _Bit_const_iterator ()
- void _M_bump_down ()
- void _M_bump_up ()
- void _M_incr (ptrdiff_t __i)
- const_reference operator * () const
- bool operator!= (const _Bit_iterator_base &__i) const
- const_iterator operator+ (difference_type __i) const
- const_iterator operator++ (int)
- const_iterator & operator++ ()
- const_iterator & operator+= (difference_type __i)
- const_iterator operator- (difference_type __i) const
- const_iterator operator-- (int)
- const_iterator & operator-- ()
- const_iterator & operator-= (difference_type __i)
- bool operator< (const _Bit_iterator_base &__i) const
- bool operator<= (const _Bit_iterator_base &__i) const
- bool operator== (const _Bit_iterator_base &__i) const
- bool operator> (const _Bit_iterator_base &__i) const
- bool operator>= (const _Bit_iterator_base &__i) const
- const_reference operator[] (difference_type __i) const

## Public Attributes

- unsigned int _M_offset
- _Bit_type * _M_p

## Member Typedef Documentation

typedef ptrdiff_t std::iterator< std::random_access_iterator_tag , bool , ptrdiff_t , bool * , bool & >::difference_type `[inherited]`

Distance between iterators is represented as this type.

Definition at line 117 of file stl_iterator_base_types.h.

typedef std::random_access_iterator_tag std::iterator< std::random_access_iterator_tag , bool , ptrdiff_t , bool * , bool & >::iterator_category `[inherited]`

One of the tag types.

Definition at line 113 of file stl_iterator_base_types.h.

typedef const bool* std::_Bit_const_iterator::pointer

This type represents a pointer-to-value_type.

Reimplemented from std::iterator< std::random_access_iterator_tag, bool >.

Definition at line 274 of file stl_bvector.h.

typedef bool std::_Bit_const_iterator::reference

This type represents a reference-to-value_type.

Reimplemented from std::iterator< std::random_access_iterator_tag, bool >.

Definition at line 272 of file stl_bvector.h.

typedef bool std::iterator< std::random_access_iterator_tag , bool , ptrdiff_t , bool * , bool & >::value_type `[inherited]`

The type "pointed to" by the iterator.

Definition at line 115 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_bvector.h